
Ruby - Bug #9388

Ruby 1.9.3-pxxx segmentation fault

01/10/2014 12:04 PM - phillipoertel (Phillip Oertel)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3-p484 Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN,

2.1: UNKNOWN

Description

Hi,

we experience regular segmentation faults on our production server (a Rails web application running at www.torial.com/magazine). I

have attached the log showing the segmentation fault and all the information being logged with it. We have considered reporting this

bug to the Sidekiq or Redis gem maintainers, but after looking through the bug reports there, I found they direct segmentation faults

here.

The bug occurs in a background queue using the Sidekiq gem. The queue handles a low number of jobs per day (less than 1000,

running between 1 and 10 seconds each).

On average the segfault occurs every 6-12 hours, so many jobs run without failure.

The affected versions are (at least) 1.9.3p194, 1.9.3p448, 1.9.3p484. We have tried those, hoping the bug would be fixed.

Unfortunately I have no experience debugging Ruby internals, so I don't know what other information to provide -- please let me

know if you need more information.

Thank you very much

Phillip

History

#1 - 02/13/2014 02:28 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

Could you try to your code in Ruby 2.0 or 2.1?

#2 - 02/14/2014 07:59 PM - phillipoertel (Phillip Oertel)

Hiroshi SHIBATA wrote:

Could you try to your code in Ruby 2.0 or 2.1?

 Hello Hiroshi,

thank you for your response. We're currently porting the code to 2.1 (on the side), and hope to solve this issue with the upgrade. Since that may take

some time, you could close the bug, I'll reopen it or create a new one if we continue to see this problem.

Thank you and kind regards

Phillip

#3 - 02/15/2014 11:58 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Feedback to Closed

Thanks for your report.

Files

segmentation_fault.log 289 KB 01/10/2014 phillipoertel (Phillip Oertel)
